<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.user.home.kwh.ListKwhActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="55dp"
        android:layout_marginTop="0dp"
        android:background="@color/white"
        android:elevation="2dp">

        <TextView
            android:id="@+id/toolbar_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/list_power_status"
            android:textColor="@color/dark"
            android:textSize="16sp" />

    </androidx.appcompat.widget.Toolbar>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <include android:id="@+id/shimmer_loading"
                layout="@layout/shimmer_power_status_list" />

            <LinearLayout
                android:id="@+id/layout_error"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <com.airbnb.lottie.LottieAnimationView
                    android:layout_width="220dp"
                    android:layout_height="220dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="-32dp"
                    app:lottie_autoPlay="true"
                    app:lottie_fileName="error-animation.json"
                    app:lottie_loop="true" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-12dp"
                    android:text="@string/timeout"
                    android:textColor="@color/dark"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/server_error"
                    android:textColor="@color/dark"
                    android:textSize="14sp" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_kwh"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingVertical="6dp"
                tools:listitem="@layout/item_total_kwh" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>